/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.topology.movement.modularosm.attraction;

import de.tud.kom.p2psim.impl.topology.util.PositionVector;
import de.tudarmstadt.maki.simonstrator.api.util.XMLConfigurableConstructor;

public class TemporalAttractionPoint extends AttractionPoint {

	private long placementTime;
	private long removalTime;
		
	@XMLConfigurableConstructor({"name", "x", "y", "radius", "weight", "placementTime", "removalTime" })
	public TemporalAttractionPoint(String name, double x, double y, double radius, double weight, long placementTime, long removalTime) {
		this(name, new PositionVector(x,y), radius, weight, placementTime, removalTime);		
	}
	
	public TemporalAttractionPoint(String name, PositionVector pos, double radius, double weight, long placementTime, long removalTime) {
		super(name, pos);
		setWeight(weight);
		setRadius(radius);
		
		this.placementTime = placementTime;
		this.removalTime = removalTime;
	}

	public long getPlacementTime() {
		return placementTime;
	}

	public long getRemovalTime() {
		return removalTime;
	}

}
